## fjbtndrv 2.3.2-1uk2

=== Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/fjbtndrv
pkgincludedir = $(includedir)/fjbtndrv
pkglibdir = $(libdir)/fjbtndrv
pkglibexecdir = $(libexecdir)/fjbtndrv
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure ABOUT-NLS AUTHORS COPYING ChangeLog \
	INSTALL NEWS compile config.guess config.rpath config.sub \
	depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AUTOCONF = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run automake-1.11
AWK = mawk
CC = i686-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = i686-linux-gnu-gcc -E
CPPFLAGS = -D_FORTIFY_SOURCE=2 -I/home/build/src/fjbtndrv/fjbtndrv-2.3.2/debian/wacomcfg
CXX = i686-linux-gnu-g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GETTEXT_MACRO_VERSION = 0.18
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
HAL_CFLAGS = -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include -I/usr/include/hal  
HAL_LIBS = -lhal -ldbus-1 -lpthread -lrt  
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = -L/home/build/src/fjbtndrv/fjbtndrv-2.3.2/debian/wacomcfg -Wl,-z,defs
LIBICONV = 
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBXOSD_CFLAGS = -g -O2 -Wall -I/usr/include
LIBXOSD_CONFIG = /usr/bin/xosd-config
LIBXOSD_LIBS = -L/usr/lib -lxosd -lpthread -lXext -lX11 
LTLIBICONV = 
LTLIBINTL = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
PACKAGE = fjbtndrv
PACKAGE_BUGREPORT = http://fjbtndrv.sourceforge.net
PACKAGE_NAME = fjbtndrv
PACKAGE_STRING = fjbtndrv 2.3.2
PACKAGE_TARNAME = fjbtndrv
PACKAGE_URL = 
PACKAGE_VERSION = 2.3.2
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSUB = po
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
USE_NLS = yes
VERSION = 2.3.2
X11_CFLAGS = 
X11_LIBS = 
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XINPUT_CFLAGS =  
XINPUT_LIBS = -lX11 -lXi -lXext -lXtst  
XRANDR_CFLAGS =  
XRANDR_LIBS = -lX11 -lXrandr  
abs_builddir = /home/build/src/fjbtndrv/fjbtndrv-2.3.2
abs_srcdir = /home/build/src/fjbtndrv/fjbtndrv-2.3.2
abs_top_builddir = /home/build/src/fjbtndrv/fjbtndrv-2.3.2
abs_top_srcdir = /home/build/src/fjbtndrv/fjbtndrv-2.3.2
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = i686-linux-gnu
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = i686-linux-gnu
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
scriptdir = ${exec_prefix}/lib/fjbtndrv
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = src po contrib
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then rm -f stamp-h1; else :; fi
	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \

=== src/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/fjbtndrv
pkgincludedir = $(includedir)/fjbtndrv
pkglibdir = $(libdir)/fjbtndrv
pkglibexecdir = $(libexecdir)/fjbtndrv
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
bin_PROGRAMS = fscrotd$(EXEEXT) $(am__EXEEXT_1)
am__append_1 = fscd
am__append_2 = gui-xosd.c
am__append_3 = $(LIBXOSD_CFLAGS)
am__append_4 = $(LIBXOSD_LIBS)
#am__append_5 = gui-nogui.c
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = fscd$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__fscd_SOURCES_DIST = fscd.c rotation.c gui-xosd.c gui-nogui.c
am__objects_1 =  \
	fscd-gui-xosd.$(OBJEXT)
#am__objects_2 =  \
#	fscd-gui-nogui.$(OBJEXT)
am_fscd_OBJECTS = fscd-fscd.$(OBJEXT) \
	fscd-rotation.$(OBJEXT) $(am__objects_1) \
	$(am__objects_2)
fscd_OBJECTS = $(am_fscd_OBJECTS)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 =  \
	$(am__DEPENDENCIES_1)
fscd_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
am_fscrotd_OBJECTS = fscrotd-fscrotd.$(OBJEXT) \
	fscrotd-rotation.$(OBJEXT)
fscrotd_OBJECTS = $(am_fscrotd_OBJECTS)
fscrotd_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(fscd_SOURCES) $(fscrotd_SOURCES)
DIST_SOURCES = $(am__fscd_SOURCES_DIST) $(fscrotd_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = linux
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AUTOCONF = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run automake-1.11
AWK = mawk
CC = i686-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = i686-linux-gnu-gcc -E
CPPFLAGS = -D_FORTIFY_SOURCE=2 -I/home/build/src/fjbtndrv/fjbtndrv-2.3.2/debian/wacomcfg
CXX = i686-linux-gnu-g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H -DLOCALEDIR=\"$(localedir)\" \
	-DSCRIPTDIR=\"$(scriptdir)\"
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GETTEXT_MACRO_VERSION = 0.18
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
HAL_CFLAGS = -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include -I/usr/include/hal  
HAL_LIBS = -lhal -ldbus-1 -lpthread -lrt  
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = -L/home/build/src/fjbtndrv/fjbtndrv-2.3.2/debian/wacomcfg -Wl,-z,defs
LIBICONV = 
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBXOSD_CFLAGS = -g -O2 -Wall -I/usr/include
LIBXOSD_CONFIG = /usr/bin/xosd-config
LIBXOSD_LIBS = -L/usr/lib -lxosd -lpthread -lXext -lX11 
LTLIBICONV = 
LTLIBINTL = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
PACKAGE = fjbtndrv
PACKAGE_BUGREPORT = http://fjbtndrv.sourceforge.net
PACKAGE_NAME = fjbtndrv
PACKAGE_STRING = fjbtndrv 2.3.2
PACKAGE_TARNAME = fjbtndrv
PACKAGE_URL = 
PACKAGE_VERSION = 2.3.2
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSUB = po
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
USE_NLS = yes
VERSION = 2.3.2
X11_CFLAGS = 
X11_LIBS = 
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XINPUT_CFLAGS =  
XINPUT_LIBS = -lX11 -lXi -lXext -lXtst  
XRANDR_CFLAGS =  
XRANDR_LIBS = -lX11 -lXrandr  
abs_builddir = /home/build/src/fjbtndrv/fjbtndrv-2.3.2/src
abs_srcdir = /home/build/src/fjbtndrv/fjbtndrv-2.3.2/src
abs_top_builddir = /home/build/src/fjbtndrv/fjbtndrv-2.3.2
abs_top_srcdir = /home/build/src/fjbtndrv/fjbtndrv-2.3.2
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = i686-linux-gnu
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = i686-linux-gnu
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/build/src/fjbtndrv/fjbtndrv-2.3.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
scriptdir = ${exec_prefix}/lib/fjbtndrv
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
#SUBDIRS = linux
fscrotd_SOURCES = fscrotd.c rotation.c
fscrotd_CPPFLAGS = $(HAL_CFLAGS) $(XRANDR_CFLAGS)
fscrotd_LDADD = $(HAL_LIBS) $(XINPUT_LIBS) $(XRANDR_LIBS)
fscd_SOURCES = fscd.c rotation.c $(am__append_2) \
	$(am__append_5)
fscd_CPPFLAGS = $(XINPUT_CFLAGS) $(XRANDR_CFLAGS) \
	$(am__append_3)
fscd_LDADD = $(XINPUT_LIBS) $(XRANDR_LIBS) \
	$(am__append_4)
EXTRA_DIST = fjbtndrv.h rotation.h gui.h
all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' `; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
fscd$(EXEEXT): $(fscd_OBJECTS) $(fscd_DEPENDENCIES) $(EXTRA_fscd_DEPENDENCIES) 
	@rm -f fscd$(EXEEXT)
	$(LINK) $(fscd_OBJECTS) $(fscd_LDADD) $(LIBS)
fscrotd$(EXEEXT): $(fscrotd_OBJECTS) $(fscrotd_DEPENDENCIES) $(EXTRA_fscrotd_DEPENDENCIES) 
	@rm -f fscrotd$(EXEEXT)
	$(LINK) $(fscrotd_OBJECTS) $(fscrotd_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

=== src/linux/Makefile ===
KERNELRELEASE	:= $(shell uname -r)
KERNEL_SOURCE	:= /lib/modules/$(KERNELRELEASE)/build
PWD		:= $(shell pwd)

EXTRA_CFLAGS	+= -Wall -Werror

ifdef DEFS
EXTRA_CFLAGS	+= $(DEFS)
endif


obj-m		+= fujitsu-tablet.o

all: fujitsu-tablet.ko
modules: fujitsu-tablet.ko
modules_install: install

fujitsu-tablet.ko: fujitsu-tablet.c
	$(MAKE) -C $(KERNEL_SOURCE) M=$(PWD) modules

install: fujitsu-tablet.ko
	$(MAKE) -C $(KERNEL_SOURCE) M=$(PWD) modules_install

uninstall:
	rm -f /lib/modules/$(KERNELRELEASE)/extra/fujitsu-tablet.ko

clean:
	$(MAKE) -C $(KERNEL_SOURCE) M=$(PWD) clean

distclean: clean
	rm -f Module.symvers

distdir: Makefile fujitsu-tablet.c
	cp -p $^ $(distdir)

%:
	@echo; \
	 echo " *** unknown target $@ *** "; \
	 echo

.PHONY: all install modules modules_install clean

=== debian/changelog ===
fjbtndrv (2.3.2-1uk2) unstable; urgency=low

  * really rename all deps

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 22 Jan 2013 09:24:37 +0000

fjbtndrv (2.3.2-1uk1) unstable; urgency=low

  * New upstream release
  * rename dkms package to fujitsu-tablet-*

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 22 Jan 2013 08:29:09 +0000

fjbtndrv (2.1.0-1uk4) unstable; urgency=low

  * add special handling of serial touchscreen on FSC P1610, needs working
  rotate-script, e.g. package fsc-p1610 from the uni-klu repository

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Sat, 02 Jan 2010 15:24:46 +0000

fjbtndrv (2.1.0-1uk3) unstable; urgency=low

  * more fixes

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 11 Dec 2009 19:56:55 +0000

fjbtndrv (2.1.0-1uk2) unstable; urgency=low

  * fix file lists

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 11 Dec 2009 19:55:10 +0000

fjbtndrv (2.1.0-1uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 11 Dec 2009 19:39:18 +0000

fjbtndrv (2.00rc2-1uk1) unstable; urgency=low

  * hardy bp

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 02 Jan 2009 11:04:50 +0000

fjbtndrv (2.00rc2) intrepid; urgency=low

  * New upstream release.

 -- Robert Gerlach <khnz@users.sourceforge.net>  Mon, 22 Dec 2008 21:44:54 +0100

=== debian/control ===
Source: fjbtndrv
Section: utils
Priority: extra
Maintainer: Robert Gerlach <khnz@users.sourceforge.net>
Build-Depends: debhelper (>= 5), autotools-dev, pkg-config, libhal-dev, libx11-dev, libxi-dev, libxext-dev, libxtst-dev, libxrandr-dev, libxosd-dev, xserver-xorg-input-wacom
Standards-Version: 3.7.2

Package: fjbtndrv
Architecture: any
Depends: fujitsu-tablet-kernel-source, fscrotd, fscd
Description: this package depends on all packages of the fjbtndrv project
 
Package: fscrotd
Architecture: any
Depends: ${shlibs:Depends}, fujitsu-tablet-kernel-source
Recommends: xserver-xorg-input-wacom
Suggests: fsc-p1610
Replaces: fscd (<< 2), fscd-gnome (<< 2)
Conflicts: fscd (<< 2), fscd-gnome (<< 2)
Description: rotation helper for some fujitsu siemens tablets

Package: fscd
Architecture: any
Depends: ${shlibs:Depends}, fujitsu-tablet-kernel-source
Recommends: xserver-xorg-input-wacom
Replaces: fscd (<< 2), fscd-gnome (<< 2)
Conflicts: fscd (<< 2), fscd-gnome (<< 2)
Description: tablet buttons helper for some fujitsu siemens tablets

Package: fujitsu-tablet-kernel-source
Architecture: any
Depends: debhelper (>= 5), dkms
Recommends: fscrotd, fscd
Replaces: fsc-btns-kernel-source
Conflicts: fsc-btns-kernel-source
Description: source for the fujitsu-tablet driver.
 This package provides the source code for the fujitsu-tablet kernel module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -d' ' -f2 | cut -d'-' -f1 | cut -d':' -f2 )

configure: configure-stamp
configure-stamp:
	dh_testdir
	#automake
	autoconf
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--disable-kernel-module \
		--enable-dynamic \
		--enable-xosd \
		--enable-wacom \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="-L$(CURDIR)/debian/wacomcfg -Wl,-z,defs" \
		CPPFLAGS="$(CPPFLAGS) -I$(CURDIR)/debian/wacomcfg"
	sed -i 's/-lXinerama//' config.status Makefile src/Makefile
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	make -C src clean || true
	-$(MAKE) distclean || true
	rm -f build-stamp configure-stamp
	dh_clean 

install: d=$(CURDIR)/debian/tmp
install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	$(MAKE) DESTDIR=$(d) install

install-kernel-source: d=$(CURDIR)/debian/tmp/usr/src/fujitsu-tablet-$(VERSION)
install-kernel-source: configure-stamp
	install --mode=755 -d $(d)
	install --mode=644 src/linux/fujitsu-tablet.c $(d)
	install --mode=644 src/linux/Makefile $(d)
	$(MAKE) -C contrib dkms.conf
	install --mode=644 contrib/dkms.conf $(d)

binary-arch: build install install-kernel-source
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
#	dh_installexamples -a
	dh_install -a --sourcedir=$(CURDIR)/debian/tmp --fail-missing
#	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install
